/************************************************************************************
 *  File:     main.c
 *  Purpose:  LPC4357 Cortex-M4 main file.
 *  Date:     05 July 2013
 *  Info:     If __NO_SYSTEM_INIT is defined in the Build options,
 *            the startup code will not branch to SystemInit()
 *            and the function can be removed
 ************************************************************************************/
#include "Main.h"
#include "BSP.h"

#ifndef __NO_SYSTEM_INIT
void SystemInit()
{}
#endif

/*********************************************************************
 *
 *  _Delay()
 *
 */
static void _Delay(U32 ms) {
  U32 t;
  do {
    t = 9600/4;
    do {
      t--;
    } while (t > 0);
    ms--;
  } while (ms);
}

/*********************************************************************
 *
 *  main()
 *********************************************************************/
void main() {
  int i;

#ifdef STANDALONE
  BSP_Init();
#endif
  //
  // Wait for command from Cortex-M4
  // If command received, send back response, so Cortex-M4 can resume execution
  //
  BSP_SetLED(1);
  do {
    do {
      if (CMD_M4 == 0x1) {
        CMD_M4 = 0;
        break;
      }
    } while(1);
    _Delay(100);
    BSP_ToggleLED(1);
    RESPONSE_M0 = 2;
  } while(1);
}
